<template>
  <div>
    <utils-mobile-banner
      :theme-properties="themeProperties"
      :actived="'SportInitial'"
      class="mobileBannerCarouselBfm1"
      @hasBanner="(val) => (hasBanner = val)"
    />
    <div class="overflow-hidden pb-10">
      <div>
        <MGameListEntry />
      </div>
    </div>
  </div>
</template>

<script lang="ts">
import { defineComponent, ref } from "vue";
import MGameListEntry from "./components/GameListEntry.client.vue";
import { store } from "~~/store";

export default defineComponent({
  name: "Sport",
  components: {
    MGameListEntry,
  },
  setup() {
    const hasBanner = ref(false);
    const authentication = computed(() => store.state.auth);
    const themeProperties = computed(
      () => store.state.companyThemePropertiesFromApi.ThemeProperties
    );
    return {
      hasBanner,
      themeProperties,
      authentication,
    };
  },
});
</script>

<style scoped></style>
